Subject: Re: bug#16155: 24.3.50;

From: Alan Mackenzie <[email-masked]>
Date: Wed, 18 Dec 2013 22:28:16 +0000 (UTC)

Stefan Monnier <[email-masked]> wrote:
>> Again, the question: why should `newline' indent when we've got the specific
>> command `newline-and-indent'?

> Because apparently most users like it.  You don't, so turn it off in
> your ~/.emacs.

I cannot see how to achieve the result I want by tweaking my .emacs.  What
I want is this:

o - with electric-indent-mode enabled.
o - with ?\n a member of electric-indent-chars.
o - `newline-and-indent' will indent both the current line and the new line.
o - `newline' will indent only the current line

Comments?

>        Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).